﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Xml.Linq;
using System.IO;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Browser;
using FeedReader.Models;

namespace FeedReader
{
    public partial class FeedView : UserControl
    {

        // private const String URI = "http://www.wolter.biz/external/get_feed.php?forumsid={0}";
        private const String URI = "../get_feed.php?forumsid={0}";
        private const String SHOW_THREAD_URI = "{0}showthread.php?t={1}";
        private const String SHOW_FORUM_URI = "{0}forumdisplay.php?f={1}";
        private const String JOBFORUMS_ID = "32";

        private FeedModel _model = new FeedModel();

        public FeedView()
        {
            // Required to initialize variables
            InitializeComponent();
            
            DataContext = _model;

            Loaded += new System.Windows.RoutedEventHandler(FeedView_Loaded);
        }

        #region Eventhandler

        private void FeedView_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            _model.GetFeed();
        }


        private void Button_Click(object sender, RoutedEventArgs e)
        {
            _model.ShowForum();
        }

        private void List_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            _model.ShowThread((e.AddedItems[0] as Thread).Id);
        }

        #endregion
    }
}